=== debian/control ===
Source: ros-rolling-rosbag2-storage-sqlite3
Section: misc
Priority: optional
Maintainer: Michael Orlov <michael.orlov@apex.ai>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gmock <!nocheck>, ros-rolling-ament-cmake-python, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-pluginlib, ros-rolling-rcpputils, ros-rolling-rcutils, ros-rolling-rosbag2-storage, ros-rolling-rosbag2-test-common <!nocheck>, ros-rolling-sqlite3-vendor, ros-rolling-yaml-cpp-vendor, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rosbag2-storage-sqlite3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-pluginlib, ros-rolling-rcpputils, ros-rolling-rcutils, ros-rolling-rosbag2-storage, ros-rolling-sqlite3-vendor, ros-rolling-yaml-cpp-vendor, ros-rolling-ros-workspace
Description: ROSBag2 SQLite3 storage plugin
